package com.kexue.skills.service;
import com.github.pagehelper.PageInfo;

import com.kexue.skills.entity.SysRole;
import com.kexue.skills.entity.dto.SysRoleDto;
import java.util.List;

/**
 * (SysRole)表服务接口
 *
 * @author 王志维
 * @since 2025-02-21 23:01:48
 */
public interface SysRoleService extends BaseService {

    /**
     * 分页查询
     *
     * @param sysRoleDto 筛选条件
     * @return 查询结果
     */
    PageInfo<SysRole> getPageList(SysRoleDto sysRoleDto);

    /**
     * 通过ID查询单条数据
     *
     * @param roleId 主键
     * @return 实例对象
     */
    SysRole queryById(Long roleId);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */
    List<SysRole> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param sysRole 实例对象
     * @return 实例对象
     */
    SysRole insert(SysRole sysRole);

    /**
     * 修改数据
     *
     * @param sysRole 实例对象
     * @return 实例对象
     */
    SysRole update(SysRole sysRole);

    /**
     * 通过主键删除数据
     *
     * @param roleId 主键
     * @return 是否成功
     */
    boolean deleteById(Long roleId);

}
